Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-16463

Jackson2 version incompatible with EAP 7.4.0.GA

    XMLWordPrintable

Details

    • Bug
    • Status: Done
    • Major
    • Resolution: Done
    • None
    • fuse-7.9-GA
    • Camel, Fuse EAP
    • None

    Description

      Camel comes with jackson-core-2.9.10 (e.g. used by camel-swagger), which is incompatible with jackson-core-2.12.1 that comes with EAP-7.4.0.GA.

      This component is part of the compatibility contract.

      Caused by: java.lang.NoSuchMethodError: com.fasterxml.jackson.databind.introspect.AnnotatedMember.getType(Lcom/fasterxml/jackson/databind/type/TypeBindings;)Lcom/fasterxml/jackson/databind/JavaType;
      	at org.apache.camel.component.swagger//io.swagger.jackson.ModelResolver.resolve(ModelResolver.java:425)
      	at org.apache.camel.component.swagger//io.swagger.jackson.ModelResolver.resolve(ModelResolver.java:203)
      	at org.apache.camel.component.swagger//io.swagger.converter.ModelConverterContextImpl.resolve(ModelConverterContextImpl.java:103)
      	at org.apache.camel.component.swagger//io.swagger.converter.ModelConverters.read(ModelConverters.java:76)
      	at org.apache.camel.component.swagger//io.swagger.converter.ModelConverters.read(ModelConverters.java:67)
      	at org.apache.camel.component.swagger//org.apache.camel.swagger.RestModelConverters.readClass(RestModelConverters.java:33)
      

      Attachments

        Activity

          People

            mmelko@redhat.com Matej Melko
            tdiesler@redhat.com Thomas Diesler
            Federico Mariani Federico Mariani
            Votes:
            0 Vote for this issue
            Watchers:
            7 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: